%define name rfsysinfo

Summary:	Redflag Linux System Information
Name:		rfsysinfo
Version:	1.2
Release:	4AX
Group:		Applications/System
Source:		rfsysinfo.tar.gz
patch0:		rfsysinfo-1.2-mainmemory.patch
patch1:		rfsysinfo-1.2-ppc.patch
patch2:		rfsysinfo-1.2-desktop-authority.patch
Provides:	librfsysinfo.so
License:	GPL
Requires:       parted
#AutoReqProv: no
Buildroot: %{_tmppath}/%{name}-root

%description
RFsysinfo is a tool to show information of your computer .
(Including sysconf,device,partition .etc)
	
%prep
%setup -q -n rfsysinfo
%patch0 -p1
%ifarch ppc ppc64 ppc64pseries ppc64iseries
%patch1 -p1
%endif
%patch2 -p1

%build
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
make clean;make

%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/lib/
mkdir -p $RPM_BUILD_ROOT/usr/lib/rfmin/include/rfsysinfo/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/en/
mkdir -p $RPM_BUILD_ROOT/usr/share/rfsysinfo/gif/
mkdir -p $RPM_BUILD_ROOT/etc/rfmin/rfsysinfo/config/
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Settings/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/

cp rfsysinfo 			$RPM_BUILD_ROOT/usr/bin/
cp librfsysinfo.so.1.0.0	$RPM_BUILD_ROOT/usr/lib/rfmin/lib/librfsysinfo.so.1.0.0
cp librfsysinfo.so.1.0.0	$RPM_BUILD_ROOT/usr/lib/librfsysinfo.so
cp librfsysinfo.so.1.0.0	$RPM_BUILD_ROOT/usr/lib/librfsysinfo.so.1
cp librfsysinfo.so.1.0.0	$RPM_BUILD_ROOT/usr/lib/librfsysinfo.so.1.0
cp *.h				$RPM_BUILD_ROOT/usr/lib/rfmin/include/rfsysinfo/
cp *.qm				$RPM_BUILD_ROOT/usr/share/rfsysinfo/ 
cp index			$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/index
cp index.cache			$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/index.cache
cp *html			$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/
cp *xml				$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/
cp index			$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/en/index
cp index.cache			$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/en/index.cache
cp en/rfsysinfo_manual.html	$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.html
cp en/rfsysinfo_manual.xml	$RPM_BUILD_ROOT/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.xml
cp rfsysinfo.desktop		$RPM_BUILD_ROOT/usr/share/applnk/Settings/rfsysinfo.desktop
cp rfsysinfo.xpm		$RPM_BUILD_ROOT/usr/share/pixmaps/rfsysinfo.xpm
cp lib/config/*cf		$RPM_BUILD_ROOT/etc/rfmin/rfsysinfo/config/
cp gif/*.xpm			$RPM_BUILD_ROOT/usr/share/rfsysinfo/gif/
cp gif/*.png			$RPM_BUILD_ROOT/usr/share/rfsysinfo/gif/

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/usr/share/applnk/Settings/rfsysinfo.desktop  $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

%post
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /usr/share/applnk/Settings/rfsysinfo.desktop
#fi

%preun
#if [ $1 = 0 -a -x /usr/bin/ctrlpanel ]; then
#    /usr/bin/ctrlpanel -g GroupSys -u rfsysinfo.desktop
#fi

%files
/etc/sysconfig/khwtree/GroupSys/rfsysinfo.desktop
/usr/bin/rfsysinfo
/usr/lib/rfmin/lib/librfsysinfo.so.1.0.0
/usr/lib/librfsysinfo.so
/usr/lib/librfsysinfo.so.1
/usr/lib/librfsysinfo.so.1.0
/usr/lib/rfmin/include/rfsysinfo/*.h
/usr/share/rfsysinfo/*.qm 
/usr/share/rfsysinfo/doc/index
/usr/share/rfsysinfo/doc/index.cache
/usr/share/rfsysinfo/doc/*html
/usr/share/rfsysinfo/doc/*xml
/usr/share/rfsysinfo/doc/en/index
/usr/share/rfsysinfo/doc/en/index.cache
/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.html
/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.xml
/usr/share/rfsysinfo/gif/*
/etc/rfmin/rfsysinfo/config/*
/usr/share/applnk/Settings/rfsysinfo.desktop
/usr/share/pixmaps/rfsysinfo.xpm

%changelog
* Thu Dec 21 2006 Xiao Liu <xiaoliu@redflag-linux.com> 1.2-4AX
- change Desktop can be used other than root with authority

* Wed May 17 2006 Xu Xiaojing <xjxu@redflag-linux.com> 1.2-3AX
- add rfsysinfo-1.2-ppc.patch to build package on ppc

* Thu Nov 24 2005 Wang Diangcheng (dcwang@redflag-linux.com> 1.2-2
- fix get main memory bug

* Tue Oct 18 2005 Wang Diancheng <dcwang@redflag-linux.com> 1.2-1
- reimplement to get partition infomation program

* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-5
- modify some Korean strings

* Thu Jul 14 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1.3
- modify spec for ppc64

* Mon Jun 6  2005 Wang Siyuan <sywang@redflag-linux.com> 1.1.2
- add zh_TW help support.

* Mon May 16 2005 Wang Siyuan <sywang@redflag-linux.com> 1.1.1
- add korea and zh_TW support.

* Wed Sep 01 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.22
- snapshot updated.

* Thu Aug 05 2004 Zou Pengcheng <pczou@redflag-linux.com>
- fix misc bugs for desktop 4.1

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.20
- IA64 port (realloc requires stdlib.h to work)

* Wed Jul 07 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.19-1
- stop getting physical memory size from GetMemoryDmi(), use GetMemoryKcore() instead.

